| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# HbookDef.h File Reference

`#include <string>`

Include dependency graph for HbookDef.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines
#define | HBOOKCNVSVC_HBOOKDEF_H 1
#define | HBOOK_CALL_TYPE
#define | HROUT hrout_
#define | HDELET hdelet_
#define | HFILL hfill_
#define | HPAK hpak_
#define | HPAKE hpake_
#define | HFILL hfill_
#define | HPRINT hprint_
#define | HEXIST hexist_
#define | HRESET hreset_
#define | HPRNT hprnt_
#define | HFNTB hfntb_
#define | HFNT hfnt_
#define | HFN hfn_
#define | HGNT hgnt_
#define | HGN hgn_
#define | HGNF hgnf_
#define | HGNPAR hgnpar_
#define | HRIN hrin_
#define | NTUPLETYPE ntupletype_
#define | HREND hrend_
#define | F77CLOSE f77close_
#define | F77GETLUN f77getlun_
#define | HNOENT hnoent_
#define | HXYIJ hxyij_
#define | HIJXY hijxy_
#define | HX hx_
#define | HXE hxe_
#define | HI hi_
#define | HIX hix_
#define | HIE hie_
#define | HIJ hij_
#define | HIJE hije_
#define | HXY hxy_
#define | HKIND hkind_
#define | GETQUEST getquest_
#define | SETQUEST setquest_
## Enumerations
enum | DataTypePolicy { USE_DATA_TYPES, FLOAT_ONLY, FORTRAN_STYLE, HUNGARIAN_STYLE }
## Functions
long | dataTypePolicy ()
void | cleanForString (char *title, long len)
void | hbook1_ (const long &, const char *, const long &, const float &, const float &, const float &, int)
void | hbookb_ (const long &, const char *, const long &, const float *, const float &, int)
void | hbook2_ (const long &, const char *, const long &, const float &, const float &, const long &, const float &, const float &, const float &, int)
void | closehbook_ (const char *, const char *, int, int)
void | inithbook_ (const char *, const char *, const int &, const int &, const int &, int, int)
void | inithbooknf_ (const int &)
void | setmeanrms_ (const long &, const float &, const float &, const float &, const float &)
void | hidopt_ (const int &, const char *, int)
void | hgive_ (const int &, char *, int &, float &, float &, int &, float &, float &, int &, int &, int)
void | hunpak_ (const int &, float *, const char *, const int &, int)
void | hunpke_ (const int &, float *, const char *, const int &, int)
float | hstati_ (const int &, const int &, const char *, const int &, int)
int | getquest_ (const int &)
int | setquest_ (const int &, const int &)
void HBOOK_CALL_TYPE | HROUT (const long &, int *, const char *, int)
void HBOOK_CALL_TYPE | HDELET (const long &)
void HBOOK_CALL_TYPE | HFILL (const long &, const float &, const float &, const float &)
void HBOOK_CALL_TYPE | HPAK (const long &, const void *)
void HBOOK_CALL_TYPE | HPAKE (const long &, const void *)
void HBOOK_CALL_TYPE | F77CLOSE (const long &)
long HBOOK_CALL_TYPE | F77GETLUN ()
void HBOOK_CALL_TYPE | HPRINT (const long &id)
long HBOOK_CALL_TYPE | HEXIST (const long &id)
void HBOOK_CALL_TYPE | HPRNT (const long &id)
void HBOOK_CALL_TYPE | HFNTB (const long &id, const char *title, int)
void HBOOK_CALL_TYPE | HFNT (const long &id)
void HBOOK_CALL_TYPE | HFN (const long &id, const float *buffer)
void HBOOK_CALL_TYPE | HNOENT (const long &id, long &nument)
void HBOOK_CALL_TYPE | HRESET (const long &id, const char *title, int)
void HBOOK_CALL_TYPE | HRIN (const long &, const long &, const long &)
void HBOOK_CALL_TYPE | HGNT (const long &, const long &, long &)
void HBOOK_CALL_TYPE | HPRNTU (const long &)
void HBOOK_CALL_TYPE | HGNPAR (const long &, const char *, long)
void HBOOK_CALL_TYPE | HGNF (const long &, const long &, float *, long &)
void HBOOK_CALL_TYPE | HGN (const long &, long &, const long &, float *, long &)
void HBOOK_CALL_TYPE | HREND (const char *, int)
void HBOOK_CALL_TYPE | HKIND (const int &, long *, const char *, int)
long HBOOK_CALL_TYPE | NTUPLETYPE (const long &)
void HBOOK_CALL_TYPE | HIX (const long &, const long &, float &)
void HBOOK_CALL_TYPE | HXYIJ (const long &, const float &, const float &, long &, long &)
void HBOOK_CALL_TYPE | HIJXY (const long &, const long &, const long &, float &, float &)
float HBOOK_CALL_TYPE | HX (const long &, const float &)
float HBOOK_CALL_TYPE | HXE (const long &, const float &)
float HBOOK_CALL_TYPE | HXY (const long &, const float &, const float &)
float HBOOK_CALL_TYPE | HXYE (const long &, const float &, const float &)
float HBOOK_CALL_TYPE | HI (const long &, const long &)
float HBOOK_CALL_TYPE | HIE (const long &, const long &)
float HBOOK_CALL_TYPE | HIJ (const long &, const long &, const long &)
float HBOOK_CALL_TYPE | HIJE (const long &, const long &, const long &)
void | HLDIR (const std::string &a, const std::string &b=" ")
void | HCDIR (const std::string &a, const std::string &b=" ")
void | HMDIR (const std::string &a, const std::string &b=" ")
void | HBNAME (const long &id, const std::string &a, const void *opt, const std::string &b)
void | HROPEN (const long &lun, const std::string &a, const std::string &b, const std::string &c, long &i, long &j)
void | HLNEXT (long &id, std::string &a, std::string &b, const std::string &c)
long | RWNT_BOOK (const NTUPLEINFO &)
long | RWNT_INFO (NTUPLEINFO &)
long | CWNT_BOOK (const NTUPLEINFO &)
long | CWNT_INFO (NTUPLEINFO &)
void | HBOOK1 (int id, const std::string &t, int nx, float l, float h)
void | HBOOKB (int id, const std::string &t, int nx, float *l)
void | HBOOK2 (int id, const std::string &t, int nx, float l, float h, int ny, float x, float y)
void | CLOSE_HBOOK (const std::string &a, const std::string &b)
void | INIT_HBOOK (const std::string &a, const std::string &b, const int nw, const int nrec, const int recl)
void | INIT_HBOOK (const int nw)
void | SET_MEAN_RMS (long histoID, float mean, float rms, float sumOfHeights, float equivEntries)
void | HIDOPT (int id, const std::string &t)
void | HUNPAK (int id, float *buff, const std::string &opt, int nslice=0)
void | HUNPKE (int id, float *buff, const std::string &opt, int nslice=0)
void | HGIVE (int id, std::string &title, int &nx, float &xmi, float &xma, int &ny, float &ymi, float &yma, int &nwd, int &loc)
float | HSTATI (int id, int what, const std::string &opt, int nslice=0)

## Define Documentation

#define F77CLOSE f77close_

Definition at line 100 of file HbookDef.h.

#define F77GETLUN f77getlun_

Definition at line 101 of file HbookDef.h.

#define GETQUEST getquest_

Definition at line 115 of file HbookDef.h.

#define HBOOK_CALL_TYPE

Definition at line 57 of file HbookDef.h.

#define HBOOKCNVSVC_HBOOKDEF_H 1

Definition at line 3 of file HbookDef.h.

#define HDELET hdelet_

Definition at line 81 of file HbookDef.h.

#define HEXIST hexist_

Definition at line 87 of file HbookDef.h.

#define HFILL hfill_

Definition at line 85 of file HbookDef.h.

#define HFILL hfill_

Definition at line 85 of file HbookDef.h.

#define HFN hfn_

Definition at line 92 of file HbookDef.h.

#define HFNT hfnt_

Definition at line 91 of file HbookDef.h.

#define HFNTB hfntb_

Definition at line 90 of file HbookDef.h.

#define HGN hgn_

Definition at line 94 of file HbookDef.h.

#define HGNF hgnf_

Definition at line 95 of file HbookDef.h.

#define HGNPAR hgnpar_

Definition at line 96 of file HbookDef.h.

#define HGNT hgnt_

Definition at line 93 of file HbookDef.h.

#define HI hi_

Definition at line 107 of file HbookDef.h.

#define HIE hie_

Definition at line 109 of file HbookDef.h.

#define HIJ hij_

Definition at line 110 of file HbookDef.h.

#define HIJE hije_

Definition at line 111 of file HbookDef.h.

#define HIJXY hijxy_

Definition at line 104 of file HbookDef.h.

#define HIX hix_

Definition at line 108 of file HbookDef.h.

#define HKIND hkind_

Definition at line 113 of file HbookDef.h.

#define HNOENT hnoent_

Definition at line 102 of file HbookDef.h.

#define HPAK hpak_

Definition at line 83 of file HbookDef.h.

#define HPAKE hpake_

Definition at line 84 of file HbookDef.h.

#define HPRINT hprint_

Definition at line 86 of file HbookDef.h.

#define HPRNT hprnt_

Definition at line 89 of file HbookDef.h.

#define HREND hrend_

Definition at line 99 of file HbookDef.h.

#define HRESET hreset_

Definition at line 88 of file HbookDef.h.

#define HRIN hrin_

Definition at line 97 of file HbookDef.h.

#define HROUT hrout_

Definition at line 80 of file HbookDef.h.

#define HX hx_

Definition at line 105 of file HbookDef.h.

#define HXE hxe_

Definition at line 106 of file HbookDef.h.

#define HXY hxy_

Definition at line 112 of file HbookDef.h.

#define HXYIJ hxyij_

Definition at line 103 of file HbookDef.h.

#define NTUPLETYPE ntupletype_

Definition at line 98 of file HbookDef.h.

#define SETQUEST setquest_

Definition at line 116 of file HbookDef.h.

## Enumeration Type Documentation

enum DataTypePolicy

Enumerator:

  USE_DATA_TYPES |
  FLOAT_ONLY |
  FORTRAN_STYLE |
  HUNGARIAN_STYLE |

Definition at line 20 of file HbookDef.h.

    00020 { USE_DATA_TYPES, FLOAT_ONLY, FORTRAN_STYLE, HUNGARIAN_STYLE };

## Function Documentation

void cleanForString | ( | char * | title,
|  | long | len |
| ) |  |  | `[inline]`

Definition at line 23 of file HbookDef.h.

    00023                                                     {
    00024   for ( int i = len; i >= 0; i-- )    {
    00025     if ( title[i]==' ' || title[i] == 0 ) title[i] = 0;
    00026     else if ( title[i]!=' ' ) break;
    00027   }
    00028   title[len] = 0;
    00029 }

void CLOSE_HBOOK | ( | const std::string & | a,
|  | const std::string & | b |
| ) |  |  | `[inline]`

Definition at line 211 of file HbookDef.h.

    00212 {  closehbook_(a.data(), b.data(), a.length(), b.length());                   }

void closehbook_ | ( | const char * | ,
|  | const char * | ,
|  | int | ,
|  | int |  |
| ) |  |  |

long CWNT_BOOK | ( | const NTUPLEINFO & |  | ) |

Definition at line 210 of file NTupleInterface.cpp.

    00210                                      {
    00211   return cwntbook_(i.id, i.title, " ", strlen(i.title), 1);
    00212 }

long CWNT_INFO | ( | NTUPLEINFO & |  | ) |

Definition at line 214 of file NTupleInterface.cpp.

    00214                               {
    00215   long r = cwntinfo_(i.id,
    00216                      i.name,
    00217                      i.dim,
    00218                      i.theDim,
    00219                      i.hasIndex,
    00220                      i.index,
    00221                      i.type,
    00222                      i.size,
    00223                      i.hasRange,
    00224                      i.irange,
    00225                      i.frange,
    00226                      i.title,
    00227                      i.numVar,
    00228                      i.numEnt,
    00229                      i.block,
    00230                      sizeof(i.name[0]), sizeof(i.index[0]), 1,
    00231                      sizeof(i.title)-1,
    00232                      sizeof(i.block[0]),sizeof(i.index[0])
    00233                      );
    00234
    00235   // Clean up ntuple block names
    00236   for (long iv=0; iv<i.numVar; ++iv) {
    00237     std::string blk = i.block[iv];
    00238     blk = blk.substr(0,8);
    00239     int ibs;
    00240     if ( (ibs = blk.find(" ")) >= 0 ) {
    00241       blk = blk.substr(0,ibs);
    00242     }
    00243     strcpy(i.block[iv],blk.c_str());
    00244   }
    00245
    00246   cleanForString(i.title, sizeof(i.title)-1);
    00247   return r;
    00248 }

long dataTypePolicy | ( |  | ) |

Definition at line 36 of file PersSvc.cpp.

    00036                         {
    00037   return s_dataTypePolicy;
    00038 }

void HBOOK_CALL_TYPE F77CLOSE | ( | const long & |  | ) |

long HBOOK_CALL_TYPE F77GETLUN | ( |  | ) |

int getquest_ | ( | const int & |  | ) |

void HBNAME | ( | const long & | id,
|  | const std::string & | a,
|  | const void * | opt,
|  | const std::string & | b |
| ) |  |  |

Definition at line 269 of file NTupleInterface.cpp.

    00269                                                                                       {
    00270   hbname_(id, a.c_str(), opt, b.c_str(), a.length(), b.length());
    00271 }

void HBOOK1 | ( | int | id,
|  | const std::string & | t,
|  | int | nx,
|  | float | l,
|  | float | h |
| ) |  |  | `[inline]`

Definition at line 205 of file HbookDef.h.

    00206 {  hbook1_(id, t.data(), nx, l, h, 0.0, t.length());                          }

void hbook1_ | ( | const long & | ,
|  | const char * | ,
|  | const long & | ,
|  | const float & | ,
|  | const float & | ,
|  | const float & | ,
|  | int |  |
| ) |  |  |

void HBOOK2 | ( | int | id,
|  | const std::string & | t,
|  | int | nx,
|  | float | l,
|  | float | h,
|  | int | ny,
|  | float | x,
|  | float | y |
| ) |  |  | `[inline]`

Definition at line 209 of file HbookDef.h.

    00210 {  hbook2_(id, t.data(), nx, l, h, ny, x, y, 0.0, t.length());                }

void hbook2_ | ( | const long & | ,
|  | const char * | ,
|  | const long & | ,
|  | const float & | ,
|  | const float & | ,
|  | const long & | ,
|  | const float & | ,
|  | const float & | ,
|  | const float & | ,
|  | int |  |
| ) |  |  |

void HBOOKB | ( | int | id,
|  | const std::string & | t,
|  | int | nx,
|  | float * | l |
| ) |  |  | `[inline]`

Definition at line 207 of file HbookDef.h.

    00208 {  hbookb_(id, t.data(), nx, l, 0.0, t.length());                             }

void hbookb_ | ( | const long & | ,
|  | const char * | ,
|  | const long & | ,
|  | const float * | ,
|  | const float & | ,
|  | int |  |
| ) |  |  |

void HCDIR | ( | const std::string & | a,
|  | const std::string & | b = `" "` |
| ) |  |  |

Definition at line 260 of file NTupleInterface.cpp.

    00260                                                      {
    00261   hcdir_(a.c_str(), b.c_str(), a.length(), b.length());
    00262 }

void HBOOK_CALL_TYPE HDELET | ( | const long & |  | ) |

long HBOOK_CALL_TYPE HEXIST | ( | const long & | id | ) |

void HBOOK_CALL_TYPE HFILL | ( | const long & | ,
|  | const float & | ,
|  | const float & | ,
|  | const float & |  |
| ) |  |  |

void HBOOK_CALL_TYPE HFN | ( | const long & | id,
|  | const float * | buffer |
| ) |  |  |

void HBOOK_CALL_TYPE HFNT | ( | const long & | id | ) |

void HBOOK_CALL_TYPE HFNTB | ( | const long & | id,
|  | const char * | title,
|  | int |  |
| ) |  |  |

void HGIVE | ( | int | id,
|  | std::string & | title,
|  | int & | nx,
|  | float & | xmi,
|  | float & | xma,
|  | int & | ny,
|  | float & | ymi,
|  | float & | yma,
|  | int & | nwd,
|  | int & | loc |
| ) |  |  | `[inline]`

Definition at line 226 of file HbookDef.h.

    00229                                           {
    00230   char tit[80];
    00231   hgive_(id, tit, nx, xmi, xma, ny, ymi, yma, nwd, loc, sizeof(tit));
    00232   cleanForString(tit, sizeof(tit)-1);
    00233   title = tit;
    00234 }

void hgive_ | ( | const int & | ,
|  | char * | ,
|  | int & | ,
|  | float & | ,
|  | float & | ,
|  | int & | ,
|  | float & | ,
|  | float & | ,
|  | int & | ,
|  | int & | ,
|  | int |  |
| ) |  |  |

void HBOOK_CALL_TYPE HGN | ( | const long & | ,
|  | long & | ,
|  | const long & | ,
|  | float * | ,
|  | long & |  |
| ) |  |  |

void HBOOK_CALL_TYPE HGNF | ( | const long & | ,
|  | const long & | ,
|  | float * | ,
|  | long & |  |
| ) |  |  |

void HBOOK_CALL_TYPE HGNPAR | ( | const long & | ,
|  | const char * | ,
|  | long |  |
| ) |  |  |

void HBOOK_CALL_TYPE HGNT | ( | const long & | ,
|  | const long & | ,
|  | long & |  |
| ) |  |  |

float HBOOK_CALL_TYPE HI | ( | const long & | ,
|  | const long & |  |
| ) |  |  |

void HIDOPT | ( | int | id,
|  | const std::string & | t |
| ) |  |  | `[inline]`

Definition at line 220 of file HbookDef.h.

    00221 {  hidopt_(id, t.data(), t.length());                                         }

void hidopt_ | ( | const int & | ,
|  | const char * | ,
|  | int |  |
| ) |  |  |

float HBOOK_CALL_TYPE HIE | ( | const long & | ,
|  | const long & |  |
| ) |  |  |

float HBOOK_CALL_TYPE HIJ | ( | const long & | ,
|  | const long & | ,
|  | const long & |  |
| ) |  |  |

float HBOOK_CALL_TYPE HIJE | ( | const long & | ,
|  | const long & | ,
|  | const long & |  |
| ) |  |  |

void HBOOK_CALL_TYPE HIJXY | ( | const long & | ,
|  | const long & | ,
|  | const long & | ,
|  | float & | ,
|  | float & |  |
| ) |  |  |

void HBOOK_CALL_TYPE HIX | ( | const long & | ,
|  | const long & | ,
|  | float & |  |
| ) |  |  |

void HBOOK_CALL_TYPE HKIND | ( | const int & | ,
|  | long * | ,
|  | const char * | ,
|  | int |  |
| ) |  |  |

void HLDIR | ( | const std::string & | a,
|  | const std::string & | b = `" "` |
| ) |  |  |

Definition at line 263 of file NTupleInterface.cpp.

    00263                                                      {
    00264   hldir_(a.c_str(), b.c_str(), a.length(), b.length());
    00265 }

void HLNEXT | ( | long & | id,
|  | std::string & | a,
|  | std::string & | b,
|  | const std::string & | c |
| ) |  |  |

Definition at line 250 of file NTupleInterface.cpp.

    00250                                                                       {
    00251   char buff[256], typ[2] = {0,0};
    00252   memset(buff,0,sizeof(buff));
    00253   hlnext_(id, typ, buff, c.c_str(), sizeof(typ)-1, sizeof(buff), c.length());
    00254   buff[sizeof(buff)-1] = 0;
    00255   cleanForString(buff, sizeof(buff)-1);
    00256   b = buff;
    00257   a = typ;
    00258 }

void HMDIR | ( | const std::string & | a,
|  | const std::string & | b = `" "` |
| ) |  |  |

Definition at line 266 of file NTupleInterface.cpp.

    00266                                                      {
    00267   hmdir_(a.c_str(), b.c_str(), a.length(), b.length());
    00268 }

void HBOOK_CALL_TYPE HNOENT | ( | const long & | id,
|  | long & | nument |
| ) |  |  |

void HBOOK_CALL_TYPE HPAK | ( | const long & | ,
|  | const void * |  |
| ) |  |  |

void HBOOK_CALL_TYPE HPAKE | ( | const long & | ,
|  | const void * |  |
| ) |  |  |

void HBOOK_CALL_TYPE HPRINT | ( | const long & | id | ) |

void HBOOK_CALL_TYPE HPRNT | ( | const long & | id | ) |

void HBOOK_CALL_TYPE HPRNTU | ( | const long & |  | ) |

void HBOOK_CALL_TYPE HREND | ( | const char * | ,
|  | int |  |
| ) |  |  |

void HBOOK_CALL_TYPE HRESET | ( | const long & | id,
|  | const char * | title,
|  | int |  |
| ) |  |  |

void HBOOK_CALL_TYPE HRIN | ( | const long & | ,
|  | const long & | ,
|  | const long & |  |
| ) |  |  |

void HROPEN | ( | const long & | lun,
|  | const std::string & | a,
|  | const std::string & | b,
|  | const std::string & | c,
|  | long & | i,
|  | long & | j |
| ) |  |  |

Definition at line 272 of file NTupleInterface.cpp.

    00272                                                                                                            {
    00273   hropen_(lun, a.c_str(), b.c_str(), c.c_str(), i, j, a.length(), b.length(), c.length());
    00274 }

void HBOOK_CALL_TYPE HROUT | ( | const long & | ,
|  | int * | ,
|  | const char * | ,
|  | int |  |
| ) |  |  |

float HSTATI | ( | int | id,
|  | int | what,
|  | const std::string & | opt,
|  | int | nslice = `0` |
| ) |  |  | `[inline]`

Definition at line 235 of file HbookDef.h.

    00236 {  return hstati_(id, what, opt.data(), nslice, opt.length());                 }

float hstati_ | ( | const int & | ,
|  | const int & | ,
|  | const char * | ,
|  | const int & | ,
|  | int |  |
| ) |  |  |

void HUNPAK | ( | int | id,
|  | float * | buff,
|  | const std::string & | opt,
|  | int | nslice = `0` |
| ) |  |  | `[inline]`

Definition at line 222 of file HbookDef.h.

    00223 {  hunpak_(id, buff, opt.data(), nslice, opt.length());                       }

void hunpak_ | ( | const int & | ,
|  | float * | ,
|  | const char * | ,
|  | const int & | ,
|  | int |  |
| ) |  |  |

void HUNPKE | ( | int | id,
|  | float * | buff,
|  | const std::string & | opt,
|  | int | nslice = `0` |
| ) |  |  | `[inline]`

Definition at line 224 of file HbookDef.h.

    00225 {  hunpke_(id, buff, opt.data(), nslice, opt.length());                       }

void hunpke_ | ( | const int & | ,
|  | float * | ,
|  | const char * | ,
|  | const int & | ,
|  | int |  |
| ) |  |  |

float HBOOK_CALL_TYPE HX | ( | const long & | ,
|  | const float & |  |
| ) |  |  |

float HBOOK_CALL_TYPE HXE | ( | const long & | ,
|  | const float & |  |
| ) |  |  |

float HBOOK_CALL_TYPE HXY | ( | const long & | ,
|  | const float & | ,
|  | const float & |  |
| ) |  |  |

float HBOOK_CALL_TYPE HXYE | ( | const long & | ,
|  | const float & | ,
|  | const float & |  |
| ) |  |  |

void HBOOK_CALL_TYPE HXYIJ | ( | const long & | ,
|  | const float & | ,
|  | const float & | ,
|  | long & | ,
|  | long & |  |
| ) |  |  |

void INIT_HBOOK | ( | const int | nw | ) | `[inline]`

Definition at line 216 of file HbookDef.h.

    00217 {  inithbooknf_(nw);                                                          }

void INIT_HBOOK | ( | const std::string & | a,
|  | const std::string & | b,
|  | const int | nw,
|  | const int | nrec,
|  | const int | recl |
| ) |  |  | `[inline]`

Definition at line 213 of file HbookDef.h.

    00215 {  inithbook_(a.data(), b.data(), nw, nrec, recl, a.length(), b.length());    }

void inithbook_ | ( | const char * | ,
|  | const char * | ,
|  | const int & | ,
|  | const int & | ,
|  | const int & | ,
|  | int | ,
|  | int |  |
| ) |  |  |

void inithbooknf_ | ( | const int & |  | ) |

long HBOOK_CALL_TYPE NTUPLETYPE | ( | const long & |  | ) |

long RWNT_BOOK | ( | const NTUPLEINFO & |  | ) |

Definition at line 183 of file NTupleInterface.cpp.

    00183                                      {
    00184   return rwntbook_(i.id,
    00185        i.numVar,
    00186        i.name,
    00187        i.rzdir,
    00188        i.title,
    00189        sizeof(i.name[0]), strlen(i.rzdir), strlen(i.title));
    00190 }

long RWNT_INFO | ( | NTUPLEINFO & |  | ) |

Definition at line 192 of file NTupleInterface.cpp.

    00192                               {
    00193   long r = rwntinfo_(i.id,
    00194          i.numVar,
    00195          i.numEnt,
    00196          i.name,
    00197          i.frange,
    00198          i.title,
    00199          sizeof(i.name[0]), sizeof(i.title));
    00200   for ( long j = 0; j < i.numVar; j++ )   {
    00201     i.size[j] = sizeof(float)*CHAR_BIT;
    00202     i.dim[j] = 0;
    00203     i.hasRange[j] = 0;
    00204     i.hasIndex[j] = 0;
    00205   }
    00206   memset(i.block,0,sizeof(i.block));
    00207   return r;
    00208 }

void SET_MEAN_RMS | ( | long | histoID,
|  | float | mean,
|  | float | rms,
|  | float | sumOfHeights,
|  | float | equivEntries |
| ) |  |  | `[inline]`

Definition at line 218 of file HbookDef.h.

    00219 {  setmeanrms_(histoID, mean, rms, sumOfHeights, equivEntries);               }

void setmeanrms_ | ( | const long & | ,
|  | const float & | ,
|  | const float & | ,
|  | const float & | ,
|  | const float & |  |
| ) |  |  |

int setquest_ | ( | const int & | ,
|  | const int & |  |
| ) |  |  |